Subject: [AAA-DOCTORS] FW: [Isms] [IETFMIBS] Proposed resolution of commentsondraft-ietf-isms-radius-vacm-09.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 26 Aug 2010 11:21:12 +0200

AAA-Doctors,

I would like to ask your advice on a issue raised by the MIB Doctors
review of draft-ietf-isms-radius-vacm. See the thread below. The
reviewer, Glenn Keeni recommended that RFC 2903 and RFC 2904 be provided
as normative references for AAA services. The editors feel that because
2903 and 2904 are the work of AAAarch RG they did not constitute the
reference for any deployed AAA protocol, so this reference is not
appropriate. What is your opinion? Do you have any other recommendation?

Thanks and Regards,

Dan

(please reply to all the distribution list, as I will be on a
no-Internet vacation for the next 11 days)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Glenn M. Keeni
Sent: Thursday, August 26, 2010 6:55 AM
To: [email-masked]; [email-masked]
Subject: Re: [Isms] [IETFMIBS] Proposed resolution of
commentsondraft-ietf-isms-radius-vacm-09.txt

Hi,
  If RFC 2903 and RFC 2904 are unacceptable as pointers to the
"Authentication, Authorization, and Accounting services" that we are
referring to in this document I am afraid the issue of a
definition/pointer to the phrase remains open.

  I will seek the AD's guidance on this issue.
Glenn

On 2010/08/25 20:02, Juergen Schoenwaelder wrote:
> On Wed, Aug 25, 2010 at 12:49:05PM +0200, Dave Nelson wrote:
>>
>>> Comment from Glenn M. Keeni, August 23, 2010:
>>> 6.2 A reference to AAA service architecture/Framework will be
>>>      in order if this document does target generic AAA services
>>>     (as the title suggests).
>>> Action: add citations suggested by reviewer in followup message
>>> OLD:
>>> |  Model (VACM) [RFC3415] MIB objects, based on information received

>>> | from an Authentication, Authorization, and Accounting (AAA) 
>>> | service,  such as RADIUS [RFC2865].
>>> NEW:
>>> |  Model (VACM) [RFC3415] MIB objects, based on information received

>>> | from an Authentication, Authorization, and Accounting (AAA) 
>>> | service  [RFC2903, RFC2904], such as RADIUS [RFC2865].
>>
>> I object to this issue resolution.  With all due respect to the 
>> reviewer, RFC 2903 and RFC 2904 are the work product of the IRTF AAA 
>> Architecture Research Group (AAAarch RG).  As far as I know, these 
>> documents have not formed the basis of any AAA protocols or systems 
>> in current deployment.  I believe that adding these references may in
fact confuse the reader.
> 
> I agree (speaking as technical contributor). No change needed.
> 
> /js
> 

_______________________________________________
Isms mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/isms

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 26 Aug 2010 11:40:53 +0200

> appropriate. What is your opinion? Do you have any other recommendation?

It will also be extremely useful to know whether anything is unclear
with the phrase "Authentication, Authorization, and Accounting
services" that _requires_ references or whether this phrase can be
used without a specific reference. (This is what the working group so
far assumed.)

Thanks,

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "David Harrington" <[email-masked]>
Date: Thu, 26 Aug 2010 08:31:33 -0400

+1

dbh 

> From: Juergen Schoenwaelder 
> [mailto:[email-masked]] 
> Sent: Thursday, August 26, 2010 5:41 AM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; Glenn M. Keeni; Randy Presuhn; 
> David Harrington
> Subject: Re: FW: [Isms] [IETFMIBS] Proposed resolution of 
> > reviewer, Glenn Keeni recommended that RFC 2903 and RFC 2904 be 
> > provided as normative references for AAA services. The editors
feel 
> > that because
> It will also be extremely useful to know whether anything is 
> unclear with the phrase "Authentication, Authorization, and 
> Accounting services" that _requires_ references or whether 
> this phrase can be used without a specific reference. (This 
> is what the working group so far assumed.)
> 
> Thanks,
> 
> /js
> 
> --

---

From: David Kessens <[email-masked]>
Date: Thu, 26 Aug 2010 09:31:22 -0700

Dan,

> appropriate. What is your opinion? Do you have any other recommendation?

I think this is a case where Glenn's comments should be considered as a
COMMENT and not a DISCUSS.

Eg. the authors may wish to use these references (as informative in my
personal opinion) or try to find an even better one but this issue is really
not important enough that changes to the document are required.

David Kessens
---

> AAA-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/aaa-doctors